#pragma once


namespace PMUtil
{
    // 폴더 브라우징
    bool BrowseForFolder(HWND hWndOwner, LPCTSTR szTitle, CString& szFolderName);
    bool BrowseForFolder(HWND hWndOwner, LPCTSTR szTitle, CEdit& edFolderName);

    // 있는 파일 브라우징
    bool BrowseForExisingFile(HWND hWndOwner, LPCTSTR szTitle, 
                            LPCTSTR szFilter, CString& szFilePathName);

    // 새 파일 브라우징
    bool BrowseForNewFile(HWND hWndOwner, LPCTSTR szTitle, 
                        LPCTSTR szFilter, LPCTSTR szDefExt, CString& szFilePathName);

    // 현재 실행파일이 위치한 곳 폴더 가져오기
    void GetCurrentFolderName(CString& szCurrentFolderName);

    // 특정 윈도우의 차일드 컨트롤들을 전부 Enable하거나 Disable한다.
    void EnableDlgItems(CWnd& wnd, UINT* nIDs, int nIDNum, bool bEnable);

    // 현재 시간을 문자열에 세팅
    void SetCurrentDayTime(CString& szString);
    void SetCurrentTime(CString& szString);

    // 메시지를 포매팅한다.
    void SetErrorMessage(LPTSTR lpStr, DWORD dwMaxLen, DWORD dwErrorCode);
    void SetErrorMessage(CString& szString, DWORD dwErrorCode);    
    void AppendErrorMessage(CString& szString, DWORD dwErrorCode);
}